using Decimation.Content;
using Microsoft.Xna.Framework;
using Terraria;

namespace Decimation.Lib.Amulets.Synergy
{
    public interface IAmuletsSynergy
    {
        void OnHitNPC(DecimationPlayer modPlayer, NPC target, Item weapon, ref int damages, ref bool crit);
        void OnHitPlayer(DecimationPlayer modPlayer, Player target, Item weapon, ref int damages, ref bool crit);
        void OnPlayerHit(DecimationPlayer modPlayer, ref int damages);
        void OnShoot(DecimationPlayer modPlayer, Item item, ref Vector2 position, ref float speedX, ref float speedY, ref int projectileType, ref int damages, ref float knockBack);
        void Update(DecimationPlayer modPlayer);
    }
}
